بولتن امنیتی اندروید - سپتامبر 2019

با مجموعه‌ها، منظم بمانید ذخیره و دسته‌بندی محتوا براساس اولویت‌های شما.

منتشر شده در 3 سپتامبر 2019 | به روز شده در 5 سپتامبر 2019

بولتن امنیتی اندروید حاوی جزئیاتی از آسیب پذیری های امنیتی است که بر دستگاه های اندرویدی تأثیر می گذارد. سطوح وصله امنیتی 2019-09-05 یا بعد از آن همه این مسائل را برطرف می کند. برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

شرکای Android حداقل یک ماه قبل از انتشار از همه مشکلات مطلع می شوند. وصله کد منبع برای این مشکلات در مخزن پروژه منبع باز Android (AOSP) منتشر شده و از این بولتن پیوند داده شده است. این بولتن همچنین شامل پیوندهایی به وصله های خارج از AOSP است.

شدیدترین این مشکلات یک آسیب پذیری امنیتی حیاتی در مولفه Media Framework است که می تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند. ارزیابی شدت بر اساس تأثیری است که بهره‌برداری از آسیب‌پذیری احتمالاً روی دستگاه آسیب‌دیده می‌گذارد، با این فرض که پلت‌فرم و تخفیف‌های سرویس برای اهداف توسعه خاموش شده‌اند یا در صورت دور زدن موفقیت‌آمیز انجام شوند.

ما هیچ گزارشی مبنی بر بهره برداری یا سوء استفاده فعال مشتری از این مشکلات گزارش شده جدید نداشته ایم. برای جزئیات بیشتر در مورد حفاظت های پلتفرم امنیتی اندروید و Google Play Protect که امنیت پلتفرم اندروید را بهبود می بخشد، به بخش کاهش دهنده های Android و Google Play Protect مراجعه کنید.

کاهش خدمات اندروید و گوگل

این خلاصه‌ای از کاهش‌های ارائه شده توسط پلتفرم امنیتی Android و محافظت‌های خدماتی مانند Google Play Protect است. این قابلیت ها احتمال سوء استفاده موفقیت آمیز از آسیب پذیری های امنیتی در اندروید را کاهش می دهد.

  • بهره برداری از بسیاری از مسائل در اندروید با پیشرفت در نسخه های جدیدتر پلتفرم اندروید دشوارتر شده است. ما همه کاربران را تشویق می کنیم تا در صورت امکان به آخرین نسخه اندروید بروزرسانی کنند.
  • تیم امنیتی Android به طور فعال از طریق Google Play Protect برای سوء استفاده نظارت می کند و به کاربران در مورد برنامه های بالقوه مضر هشدار می دهد. Google Play Protect به طور پیش‌فرض در دستگاه‌های دارای سرویس‌های Google Mobile فعال است و به ویژه برای کاربرانی که برنامه‌هایی را از خارج از Google Play نصب می‌کنند، مهم است.

جزئیات آسیب پذیری سطح وصله امنیتی 01/09/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی را که در سطح وصله 01-09-2019 اعمال می‌شود، ارائه می‌کنیم. آسیب پذیری ها تحت مؤلفه ای که بر آن تأثیر می گذارند گروه بندی می شوند. مسائل در جداول زیر توضیح داده شده اند و شامل شناسه CVE، مراجع مرتبط، نوع آسیب پذیری ، شدت و نسخه های به روز شده AOSP (در صورت لزوم) می باشند. هنگامی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است، مانند لیست تغییرات AOSP، به شناسه اشکال مرتبط می کنیم. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعدادی که پس از شناسه اشکال مرتبط هستند، مرتبط می شوند.

چارچوب

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2123 A-34175893 [ 2 ] [ 3 ] [ 4 ] EoP بالا 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2174 الف-132927376 EoP بالا 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2175 الف-135551349 EoP بالا 9
CVE-2019-9254 الف-130164289 EoP بالا 10
CVE-2019-2103 A-120610669 [ 2 ] شناسه بالا 9

چارچوب رسانه ای

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم از راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2176 الف-134420911 RCE بحرانی 8.0، 8.1، 9
CVE-2019-2108 الف-130025324 RCE بحرانی 10

سیستم

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم از راه دور را با استفاده از یک انتقال ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2177 الف-132456322 RCE بالا 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2115 A-129768470 [ 2 ] EoP بالا 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2178 الف-124462242 EoP بالا 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2179 الف-126200054 شناسه بالا 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2180 الف-110899492 شناسه بالا 8.0، 8.1، 9
CVE-2019-2124 A-127320867 [ 2 ] [ 3 ] شناسه بالا 7.1.1، 7.1.2، 8.0، 8.1، 9

جزئیات آسیب پذیری سطح وصله امنیتی 05/09/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی را که در سطح وصله ۲۰۱۹-۰۹-۰۵ اعمال می‌شود، ارائه می‌کنیم. آسیب‌پذیری‌ها تحت مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند و شامل جزئیاتی مانند CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت ، مؤلفه (در صورت لزوم) و نسخه‌های به‌روزشده AOSP (در صورت لزوم) می‌شوند. هنگامی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعدادی که پس از شناسه اشکال مرتبط هستند، مرتبط می شوند.

اجزای هسته

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت مولفه
CVE-2018-20669 الف-135368228 * EoP بالا درایور i915
CVE-2019-2181 الف-130571081
هسته بالادست
EoP بالا راننده کلاسور

اجزای NVIDIA

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت مولفه
CVE-2018-6240 A-72315181 * EoP بالا بوت رام
CVE-2018-6240 A-110169243 * EoP بالا بوت رام
CVE-2017-5715 A-73294344 * شناسه بالا نرم افزار ARM Trusted Firmware

قطعات کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه شده است.

CVE منابع تایپ کنید شدت مولفه
CVE-2017-17768 A-67748905
QC-CR#2127172
N/A بالا بوت لودر LK
CVE-2019-2283 الف-127513124
QC-CR#2355425
N/A بالا هسته
CVE-2019-2316 الف-129848922
QC-CR#2358397
N/A بالا HLOS
CVE-2019-10491 الف-132171785
QC-CR#2380709 [ 2 ]
N/A بالا سمعی
CVE-2019-10505 الف-123533258
QC-CR#2231755
N/A بالا میزبان WLAN
CVE-2019-10505 الف-132171579
QC-CR#2246426
N/A بالا میزبان WLAN
CVE-2019-2323 الف-132173424
QC-CR#2370589
N/A بالا HLOS
CVE-2019-2324 الف-132173296
QC-CR#2372292
N/A بالا سمعی
CVE-2019-2325 الف-132171784
QC-CR#2372302 [ 2 ]
N/A بالا سمعی
CVE-2019-2331 الف-132172905
QC-CR#2380697 [ 2 ]
N/A بالا سمعی
CVE-2019-2332 الف-132171963
QC-CR#2380699 [ 2 ]
N/A بالا سمعی
CVE-2019-10512 الف-134439528
QC-CR#2380702 [ 2 ]
N/A بالا سمعی
CVE-2019-10515 الف-134440011
QC-CR#2366038 [ 2 ]
N/A بالا هسته
CVE-2019-10524 الف-134440735
QC-CR#2422233 [ 2 ] [ 3 ]
N/A بالا راننده دوربین
CVE-2019-10529 الف-134439992
QC-CR#2442261
N/A بالا درایور گرافیک
CVE-2019-10531 الف-134441415
QC-CR#2402890 [ 2 ]
N/A بالا هسته
CVE-2018-11891 الف-134440013
QC-CR#2288859
N/A بالا میزبان WLAN

اجزای منبع بسته کوالکام

این آسیب‌پذیری‌ها بر اجزای منبع بسته کوالکام تأثیر می‌گذارند و در بولتن امنیتی یا هشدار امنیتی مناسب کوالکام با جزئیات بیشتر توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه شده است.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-2258 A-123998354 * N/A بحرانی جزء منبع بسته
CVE-2019-10533 الف-134437210 * N/A بحرانی جزء منبع بسته
CVE-2019-2275 A-127347579 * N/A بالا جزء منبع بسته
CVE-2019-2246 A-127347339 * N/A بالا جزء منبع بسته
CVE-2019-10488 الف-132108617 * N/A بالا جزء منبع بسته
CVE-2019-10495 الف-132108855 * N/A بالا جزء منبع بسته
CVE-2019-10496 الف-132108737 * N/A بالا جزء منبع بسته
CVE-2019-2249 الف-132108854 * N/A بالا جزء منبع بسته
CVE-2019-2285 الف-132109149 * N/A بالا جزء منبع بسته
CVE-2019-10504 الف-134437132 * N/A بالا جزء منبع بسته
CVE-2019-10504 الف-134437173 * N/A بالا جزء منبع بسته
CVE-2019-10522 الف-134437134 * N/A بالا جزء منبع بسته
CVE-2019-10534 الف-134437379 * N/A بالا جزء منبع بسته
CVE-2019-10541 الف-134437115 * N/A بالا جزء منبع بسته

پرسش و پاسخ متداول

این بخش به سوالات متداولی که ممکن است پس از خواندن این بولتن رخ دهد پاسخ می دهد.

1. چگونه تشخیص دهم که آیا دستگاه من برای رفع این مشکلات به روز شده است؟

برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

  • سطوح وصله امنیتی 2019-09-01 یا جدیدتر تمام مسائل مرتبط با سطح وصله امنیتی 2019-09-01 را برطرف می کند.
  • سطوح وصله امنیتی 2019-09-05 یا جدیدتر، تمام مسائل مرتبط با سطح وصله امنیتی 2019-09-05 و تمام سطوح وصله قبلی را برطرف می‌کند.

سازندگان دستگاه‌هایی که شامل این به‌روزرسانی‌ها می‌شوند باید سطح رشته وصله را روی موارد زیر تنظیم کنند:

  • [ro.build.version.security_patch]:[01-09-2019]
  • [ro.build.version.security_patch]:[05-09-2019]

2. چرا این بولتن دارای دو سطح وصله امنیتی است؟

این بولتن دارای دو سطح وصله امنیتی است تا شرکای Android انعطاف پذیری لازم را داشته باشند تا زیرمجموعه ای از آسیب پذیری ها را که در همه دستگاه های اندرویدی مشابه هستند با سرعت بیشتری برطرف کنند. شرکای Android تشویق می شوند تا تمام مشکلات موجود در این بولتن را برطرف کنند و از آخرین سطح وصله امنیتی استفاده کنند.

  • دستگاه‌هایی که از سطح وصله امنیتی 01-09-2019 استفاده می‌کنند باید شامل تمام مشکلات مرتبط با آن سطح وصله امنیتی و همچنین رفع تمام مشکلات گزارش‌شده در بولتن‌های امنیتی قبلی باشند.
  • دستگاه‌هایی که از سطح وصله امنیتی 2019-09-05 یا جدیدتر استفاده می‌کنند، باید همه وصله‌های قابل‌اجرا در این بولتن‌های امنیتی (و قبلی) را شامل شوند.

شرکا تشویق می شوند تا اصلاحات مربوط به همه مشکلاتی را که در حال رفع آنها هستند در یک به روز رسانی واحد جمع کنند.

3. ورودی های ستون Type به چه معناست؟

ورودی های ستون نوع جدول جزئیات آسیب پذیری به طبقه بندی آسیب پذیری امنیتی اشاره دارد.

مخفف تعریف
RCE اجرای کد از راه دور
EoP بالا بردن امتیاز
شناسه افشای اطلاعات
DoS خود داری از خدمات
N/A طبقه بندی در دسترس نیست

4. ورودی های ستون References به چه معناست؟

ورودی‌های زیر ستون مراجع جدول جزئیات آسیب‌پذیری ممکن است حاوی پیشوندی باشد که سازمانی را که مقدار مرجع به آن تعلق دارد، مشخص می‌کند.

پیشوند ارجاع
آ- شناسه باگ اندروید
QC- شماره مرجع کوالکام
M- شماره مرجع مدیاتک
N- شماره مرجع NVIDIA
ب- شماره مرجع Broadcom

5. یک * در کنار شناسه باگ اندروید در ستون References به چه معناست؟

مسائلی که به صورت عمومی در دسترس نیستند دارای یک * در کنار شناسه اشکال Android در ستون References هستند. به‌روزرسانی برای آن مشکل عموماً در آخرین درایورهای باینری دستگاه‌های Pixel موجود در سایت Google Developer موجود است.

6. چرا آسیب‌پذیری‌های امنیتی بین این بولتن و بولتن‌های امنیتی دستگاه/شریک، مانند بولتن Pixel تقسیم می‌شوند؟

آسیب‌پذیری‌های امنیتی که در این بولتن امنیتی مستند شده‌اند برای اعلام آخرین سطح وصله امنیتی در دستگاه‌های اندرویدی مورد نیاز هستند. آسیب‌پذیری‌های امنیتی اضافی که در بولتن‌های امنیتی دستگاه/شریک مستند شده‌اند، برای اعلام سطح وصله امنیتی لازم نیست. سازندگان دستگاه‌ها و چیپ‌ست‌های Android نیز ممکن است جزئیات آسیب‌پذیری امنیتی خاص محصولات خود را منتشر کنند، مانند Google ، Huawei ، LGE ، Motorola ، Nokia یا Samsung .

نسخه ها

نسخه تاریخ یادداشت
1.0 3 سپتامبر 2019 بولتن منتشر شد
1.1 5 سپتامبر 2019 بولتن اصلاح شد تا شامل پیوندهای AOSP باشد